package cn.com.tenlion.institutionmanagement.service.institution;

import cn.com.tenlion.institutionmanagement.pojo.bos.institution.InstitutionBO;
import cn.com.tenlion.institutionmanagement.pojo.dtos.institution.InstitutionDTO;
import cn.com.tenlion.institutionmanagement.pojo.pos.institution.InstitutionPO;
import cn.com.tenlion.institutionmanagement.pojo.vos.institution.InstitutionVO;
import ink.wgink.pojo.ListPage;
import ink.wgink.pojo.result.SuccessResultList;


import java.util.List;
import java.util.Map;

/**
 * @ClassName: IInstitutionService
 * @Description: 机构管理
 * @Author: CodeFactory
 * @Date: 2021-04-28 17:58:49
 * @Version: 3.0
 **/
public interface InstitutionApi {


    /**
     * 机构管理详情
     *
     * @param params 参数Map
     * @return
     */
    InstitutionDTO get(Map<String, Object> params);

    /**
     * 机构管理详情
     *
     * @param institutionId
     * @return
     */
    InstitutionDTO get(String institutionId);

    /**
     * 机构管理详情
     *
     * @param params 参数Map
     * @return
     */
    InstitutionBO getBO(Map<String, Object> params);

    /**
     * 机构管理详情
     *
     * @param institutionId
     * @return
     */
    InstitutionBO getBO(String institutionId);

    /**
     * 机构管理详情
     *
     * @param params 参数Map
     * @return
     */
    InstitutionPO getPO(Map<String, Object> params);

    /**
     * 机构管理详情
     *
     * @param institutionId
     * @return
     */
    InstitutionPO getPO(String institutionId);

    /**
     * 机构管理列表
     *
     * @param params
     * @return
     */
    List<InstitutionDTO> list(Map<String, Object> params);

    /**
     * 机构管理列表
     *
     * @param params
     * @return
     */
    List<InstitutionBO> listBO(Map<String, Object> params);

    /**
     * 机构管理列表
     *
     * @param params
     * @return
     */
    List<InstitutionPO> listPO(Map<String, Object> params);

    /**
     * 机构管理分页列表
     *
     * @param page
     * @return
     */
    SuccessResultList<List<InstitutionDTO>> listPage(ListPage page);

    /**
     * 机构管理统计
     *
     * @param params
     * @return
     */
    Integer count(Map<String, Object> params);

}